/*
* By Jose Aguinaga
* http://jjperezaguinaga.com
*/
body {
  font-family: museo-sans, sans-serif;
  font-style: normal;
  font-size: 1rem;
}

a {
  color: #4b95c1;
  text-decoration: underline;
  word-wrap: break-word;
}

.bg-blue-dark {
  background: #1d2032;
}

.font-weight-heavy {
  font-weight: 900 !important;
}

.text-grey {
  color: #77888f;
}

.text-yellow {
  color: #f7c73a;
}

.text-teal {
  color: #2ec4c5;
}

div#data_length {
  display: none;
}

div#data_paginate {
  display: none;
}

img.icon {
  height: 47px;
}

.header {
    background: rgba(29, 32, 50, 1) url(https://vpnoverview.com/landingpages/cyber-safe/de/assets/images/Asset_29.png) repeat top center;
    background-size: 90px;
}

.header span {
  color: #943af4;
}

.header .w-25 {
  width: 18% !important;
}

.header h2 {
  font-size: 2.2rem;
  font-weight: bold;
  padding-top: 20px;
  width: 100%;
  text-align: center;
}

.header p {
  font-size: 1rem;
}

.header .fa-arrow-up {
  font-size: 32px;
  border-width: 2px !important;
  transform: rotate(180deg);

}

.container-fluid {
  max-width: 1920px;
}

.lead {
  font-size: 1rem;
  font-weight: 300;
}

.intro {
  position: absolute;
  bottom: 0px;
  width: 100%;
}

.legend-key {
  font-size: 12px;
  white-space: nowrap;
}

.btn-outline-primary {
    color: #ffffff;
    background-color: transparent;
    background-image: none;
    border-color: #00a2ba;
    border-width: 2px;
    border-radius: 3px !important;
}

.btn-outline-primary:hover {
    color: #fff;
    background-color: #f44a7f;
    border-color: #f44a7f;
}

.btn-group-lg > .btn.btn-outline-primary , .btn-lg.btn-outline-primary  {
    padding: .5rem 1.2rem;
    font-size: 1.7rem;
    line-height: 1.5;
    border-radius: 0px;
} 

.btn-group-lg > .btn, .btn-lg {
    padding: .5rem 1rem;
    font-size: 1.25rem;
    line-height: 1.5;
    border-radius: 0px;
}

.btn-primary {
  color: #000000;
  background-color: #ffffff;
  border-color: #000000;
  font-weight: bold;
}

.btn-primary:not(:disabled):not(.disabled).active,
.btn-primary:not(:disabled):not(.disabled).active, .btn-primary:not(:disabled):not(.disabled):active, .show > .btn-primary.dropdown-toggle,
.btn-primary:hover {
  color: #fff;
  background-color: #eb6d30;
  border-color: #eb6d30;
}

.display-4 {
    font-size: 2.5rem;
    font-weight: 300;
    line-height: 1.2;
}

.bg-blue-light {
  background: #f1f7fe;
}
.bg-purple-light {
  background: #f6effe;
}
.bg-red-light {
  background: #fef1f5;
}

.key-icon {
  height: 20px;
}

.data-key {
    font-size: 12px;
}

.key-label-blue {
    color: #469ef7;
    border-bottom: 3px solid;
    padding-bottom: 7px;
}
.key-label-purple {
    color: #943af4;
    border-bottom: 3px solid;
    padding-bottom: 7px;
}
.key-label-red {
    color: #f24d80;
    border-bottom: 3px solid;
    padding-bottom: 7px;
}

th {
  text-align: center;
  position: relative;
}

th svg.svg.inlined-svg {
  width: 40px;

}

th svg.svg.inlined-svg circle {
  fill: #69c8c3;
}

th svg.svg.inlined-svg circle {
  fill: #69c8c3;
}

th svg.svg.inlined-svg.special circle {
  fill: #f07c8e;
}

.sorting-icons {
  position: absolute;
  width: 20px;
  height: 20px;
  line-height: 16px;
  text-align: center;
  border-radius: 50px;
  bottom: 6px;
  font-size: 13px;
  left: 50%;
  color: #000000;
  margin-left: -10px;
}

.sorting-icons i {
    padding: 3px;
}

.sorting_asc .sorting-icons i, .sorting_desc .sorting-icons i {
    background: #1d2033;
    color: #fff;
    border-radius: 50px;
}

.table thead th {
  vertical-align: bottom;
  border-bottom: 0px solid #dee2e6;
  padding-bottom: 25px !important;
  font-size: 1rem;
}

.table-content .btn {
  border-width: 3px !important;
}

.table-content .btn:hover {
  background: #000 !important;
  color: white;
}

.table .table-subheading th {
  padding-top: 5px;
  padding-bottom: .25rem !important;
  font-size: 11px;
}

.table .th-empty {
  border: 0 !important;
}

.table .th-blue {
  background: #4ba0f4;
  border-color: #4ba0f4 !important;
  color: #fff;
}

.table .th-peach {
  background: #943af4;
  border-color: #943af4 !important;
  color: #fff;
}

.table .th-orange {
  background: #f24d80;
  border-color: #f24d80 !important;
  color: #fff;
}



.table tr.sorting-row th:nth-child(1),
.table tr.sorting-row th:nth-child(2),
.table tr.sorting-row th:nth-child(3),
.table tr.sorting-row th:nth-child(4),
.table tr.sorting-row th:nth-child(5),
.table tr.sorting-row th:nth-child(6),
.table tr.sorting-row th:nth-child(7),
.table tr.sorting-row th:nth-child(8),
.table tr.sorting-row th:nth-child(9),
.table tr.sorting-row th:nth-child(10),
.table tr.sorting-row th:nth-child(11),
.table tr.sorting-row th:nth-child(12),
.table tr.sorting-row th:nth-child(13),
.table tr.sorting-row th:nth-child(14),
.table tr.sorting-row th:nth-child(15) {
  border: 0px solid transparent;
}

.table.table-main tr.table-subheading th:nth-child(2), 
.table.table-main tr.table-subheading th:nth-child(3), 
.table.table-main tr td:nth-child(5),
.table.table-main tr td:nth-child(8) {
    border-right: 10px solid #fff !important;
}

.table tr td:nth-child(3),
.table tr td:nth-child(4),
.table tr td:nth-child(5) {
  background: #f1f7fe;
}

.table tr td:nth-child(6),
.table tr td:nth-child(7),
.table tr td:nth-child(8) {
  background: #f6effe;
}

.table tr td:nth-child(9),
.table tr td:nth-child(10) {
  background: #fef1f5;
}

td.highlighted, td.sorting_1 {
    background: #f9f9f9 !important;
    color: #000;
} 

.table.table-main tr td.highlighted:nth-of-type(3),
.table.table-main tr td.highlighted:nth-of-type(4),
.table.table-main tr td.highlighted:nth-of-type(5), 
.table.table-main tr td.sorting_1:nth-of-type(3),
.table.table-main tr td.sorting_1:nth-of-type(4),
.table.table-main tr td.sorting_1:nth-of-type(5)
{ 
  background: #4ba0f4 !important;
  color:#fff;
}

.table.table-main tr td.highlighted:nth-of-type(6),
.table.table-main tr td.highlighted:nth-of-type(7),
.table.table-main tr td.highlighted:nth-of-type(8), 
.table.table-main tr td.sorting_1:nth-of-type(6),
.table.table-main tr td.sorting_1:nth-of-type(7),
.table.table-main tr td.sorting_1:nth-of-type(8)
{ 
  background: #943af4 !important;
  color:#fff;
}
 
.table.table-main tr td.highlighted:nth-of-type(9),
.table.table-main tr td.highlighted:nth-of-type(10),
.table.table-main tr td.sorting_1:nth-of-type(9),
.table.table-main tr td.sorting_1:nth-of-type(10)
{ 
  background: #f24d80 !important;
  color:#fff;
}
  
.sorting .fa-chevron-up {
  display: none;
}

.sorting_asc .fa-chevron-down  {
  display: none;
}

.sorting_desc .fa-chevron-up {
  display: none;
}

.sorting_asc, .sorting_desc, .sorting_asc span, .sorting_desc span, .sorting_asc .sorting-icons, .sorting_desc .sorting-icons {
  color: #420914 !important;
}

.table td, .table th {
    border-top: 1px solid #333333;
}

.table td, .table th {
  vertical-align: middle;
  text-align: center;
}

.scroll-hint-icon {
  top: calc(120px);
}

table.dataTable {
  margin-top: 0px !important;
  margin-bottom: 0px !important;
}

table.dataTable td.dataTables_empty, table.dataTable th.dataTables_empty {
  text-align: center;
  padding: 50px;
}

a.d-block.small.search {
  color: #ff3000;
  font-weight: bold;
}

i.fal.fa-filter {
  color: #a7a7a7;
}

div.dataTables_wrapper div.dataTables_filter {
  text-align: right;
  display: none;
}

table.dataTable thead .sorting:before, table.dataTable thead .sorting:after, table.dataTable thead .sorting_asc:before, table.dataTable thead .sorting_asc:after, table.dataTable thead .sorting_desc:before, table.dataTable thead .sorting_desc:after, table.dataTable thead .sorting_asc_disabled:before, table.dataTable thead .sorting_asc_disabled:after, table.dataTable thead .sorting_desc_disabled:before, table.dataTable thead .sorting_desc_disabled:after {
  display: none;
}

table.dataTable thead > tr > th.sorting_asc, table.dataTable thead > tr > th.sorting_desc, table.dataTable thead > tr > th.sorting, table.dataTable thead > tr > td.sorting_asc, table.dataTable thead > tr > td.sorting_desc, table.dataTable thead > tr > td.sorting {
  padding-right: 0px;
  padding-left: 0px;
}

.table td, .table th {

  color: #000000;
}

table.dataTable {
  border-collapse: collapse !important;
}

.table tr td {

  border-bottom: 1px solid #333 ;
}

.table-striped tbody tr:nth-of-type(odd) {
  background-color: rgba(0, 0, 0, .0);
}

.p-stroke {
    border: 1px solid;
    padding: 5px 10px;
    width: 100%;
    max-width: 310px;
}

.table-bottom img.icon {
    height: 20px;
}

.table-bottom tr td {
    border: 0px !important;
    color: #fff;
    font-size: 12px;
    padding: 4px;
    background: transparent !important;
}

.table-bottom tr td.storked {
    border: 1px solid #fff !important;
}

.form-control {
    color: #495057;
    background-color: #f6f6f7;
    border: 1px solid #1d2033;
    border-radius: 0;
    text-align: center;
}

.footer img {
    max-width: 170px;
    position: relative;
    top: -6px;
}

@media (max-width: 991px) {
  table.dataTable td, table.dataTable th {
    white-space: nowrap;
  }
}

@media (min-width: 374px) {
  .header h2 {
    top: 119px;
    font-size: 2.5rem;
  }

  .header h1 {
    top: 48px;
    font-size: 1.2rem;
  }

  .table-bottom img.icon {
    height: 32px;
  }

  .table-bottom tr td {
      font-size: 12px;
  } 

}

@media (min-width: 400px) {
  .header h2 {
    top: 136px;
    font-size: 2.5rem;
  }

  .header h1 {
    top: 55px;
    font-size: 1.3rem;
  }

  .table-bottom img.icon {
    height: 37px;
  }

  .table-bottom tr td {
    font-size: 16px;
  }

}

@media (min-width: 576px) {
  .header h2 {
    top: 90px;
    font-size: 2.5rem;
  }

  .header h1 {
    top: 61px;
    font-size: 1.3rem;
  }
}

@media (min-width: 768px) {

  .table-bottom img.icon {
    height: 48px;
  }

  .table-bottom tr td {
    font-size: 1rem;
  }

  .header h2 {
    top: 118px;
    font-size: 3.5rem;
  }

  .header h1 {

    font-size: 2rem;
  }

  .legend {
    background: #38c5c5;
    border-radius: 100px;
  }

  .lead {
    font-size: 1.25rem;
  }

}

@media (min-width: 992px) {

  .header h2 {
    top: 133px;
    font-size: 3.5rem;
  }

  .header h1 {

    font-size: 2rem;
  }

  .legend-key {
    font-size: 14px;
    white-space: nowrap;
  }

}

@media (min-width: 1200px) {

  .key-icon {
    height: 30px;
  }

  .header h2 {
    top: 103px;
    font-size: 3.7rem;
  }

  .header h1 {

    font-size: 2.5rem;
  }

}
